## org.apache.portals.bridges.frameworks.model
Interface ModelBean

All Known Implementing Classes:
  ModelBeanImpl

public interface ModelBean

BeanModel

Version:
  $Id: ModelBean.java 517068 2007-03-12 01:44:37Z ate $
Author:
  David Sean Taylor

Field Summary
`static int` `DYNABEAN`
`static int` `POJO`
`static int` `PREFS_MAP`

Method Summary
`String` `getBeanName()`
`int` `getBeanType()`
`String` `getLookupKey()`
`boolean` `isRequiresExternalSupport()`
`boolean` `isRequiresLookup()`

Field Detail

### POJO

    public static final int POJO

See Also:
  Constant Field Values

### PREFS_MAP

    public static final int PREFS_MAP

See Also:
  Constant Field Values

### DYNABEAN

    public static final int DYNABEAN

See Also:
  Constant Field Values

Method Detail

### getBeanName

    public String getBeanName()

### getBeanType

    public int getBeanType()

### getLookupKey

    public String getLookupKey()

### isRequiresLookup

    public boolean isRequiresLookup()

### isRequiresExternalSupport

    public boolean isRequiresExternalSupport()

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.